import { Publisher } from './publisher';
import { version } from '../../../package.json';
function normalizeEvent(ctx) {
    ctx.updateEvent('context.library.name', 'AnalyticsNode');
    ctx.updateEvent('context.library.version', version);
    ctx.updateEvent('_metadata.nodeVersion', process.versions.node);
}
export function createNodePlugin(publisher) {
    function action(ctx) {
        normalizeEvent(ctx);
        return publisher.enqueue(ctx);
    }
    return {
        name: 'Segment.io',
        type: 'after',
        version: '1.0.0',
        isLoaded: () => true,
        load: () => Promise.resolve(),
        alias: action,
        group: action,
        identify: action,
        page: action,
        screen: action,
        track: action,
    };
}
export const createConfiguredNodePlugin = (props) => {
    const publisher = new Publisher(props);
    return {
        publisher: publisher,
        plugin: createNodePlugin(publisher),
    };
};
//# sourceMappingURL=index.js.map